wxPython: Cannot install [closed - not solved]

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
dsmmgr-newby
Level 1
Level 1
Posts: 2
Joined: Wed Feb 07, 2018 1:10 pm

wxPython: Cannot install [closed - not solved]

Post by dsmmgr-newby » Wed Feb 07, 2018 1:45 pm

It's the fourth day I'm testing Linux Mint Sylvia - Cinnamon.
PlayOnLinux doesn't work because of the following error: playonlinux
Looking for python... 2.7.14 - Traceback (most recent call last):
File "/home/wolfgang/Temp/PlayOnLinux/playonlinux/python/check_python.py", line 1, in <module>
import os, wxversion
ImportError: No module named wxversion
failed tests
Looking for python2.7... 2.7.14 - Traceback (most recent call last):
File "/home/wolfgang/Temp/PlayOnLinux/playonlinux/python/check_python.py", line 1, in <module>
import os, wxversion
ImportError: No module named wxversion
failed tests
Looking for python2.6...
Looking for python2... 2.7.14 - Traceback (most recent call last):
File "/home/wolfgang/Temp/PlayOnLinux/playonlinux/python/check_python.py", line 1, in <module>
import os, wxversion
ImportError: No module named wxversion
failed tests
Please install python before trying to run this program

I try to install with sudo apt-get install python-wxgtk2.8 and get the following error information (I try the english translation)
Paketlisten werden gelesen... Fertig packet lists are read ... Readsý
Abhängigkeitsbaum wird aufgebaut. dependeny tree will be built
Statusinformationen werden eingelesen.... Fertig status information will be read .... Ready
Paket python-wxgtk2.8 ist nicht verfügbar, wird aber von einem anderen Paket packet python-wxgtk2.8 is not available, but it is referenced by another packet
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst This may mean that the package is missing or has been replaced
wurde oder nur aus einer anderen Quelle verfügbar ist. or that it is available only from a different source.

E: Für Paket »python-wxgtk2.8« existiert kein Installationskandidat. No installation candidate exists for packet python-wxgtk2.8

I have downloaded wxwidgets2.8-2.8.12.1.orig and tried ./configure but tha failed also.

Does anyone have some ideas how to solve this?

Best regards,
Wolfgang
Last edited by dsmmgr-newby on Mon Feb 12, 2018 9:53 am, edited 1 time in total.

deepakdeshp
Level 10
Level 10
Posts: 3322
Joined: Sun Aug 09, 2015 10:00 am

Re: wxPython: Cannot install

Post by deepakdeshp » Wed Feb 07, 2018 2:05 pm

If I have helped you solve a problem, please add [SOLVED] to your first post title, it helps other users looking for help, and keeps the forum clean.
I am using Mint 18.3 Cinnamon 64 bit with AMD processor . Memory 8GB

dsmmgr-newby
Level 1
Level 1
Posts: 2
Joined: Wed Feb 07, 2018 1:10 pm

Re: wxPython: Cannot install

Post by dsmmgr-newby » Thu Feb 08, 2018 7:20 am

Thanks for your reply. I executed all the steps shown at the link you gave me, but the installation is not sucessful.

sudo apt-get install playonlinux
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
libasn1-8-heimdal:i386 libasound2:i386 libexif12:i386 libfontconfig1:i386
libfreetype6:i386 libgd3:i386 libglu1-mesa:i386 libgmp10:i386
libgnutls30:i386 libgphoto2-6:i386 libgphoto2-port12:i386
libgssapi3-heimdal:i386 libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386
libheimntlm0-heimdal:i386 libhogweed4:i386 libhx509-5-heimdal:i386
libicu55:i386 libidn11:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386
libkrb5-26-heimdal:i386 liblcms2-2:i386 libldap-2.4-2:i386 libltdl7:i386
libmpg123-0:i386 libnettle6:i386 libopenal1:i386 libp11-kit0:i386
libpng12-0:i386 libroken18-heimdal:i386 libsasl2-2:i386
libsasl2-modules-db:i386 libsqlite3-0:i386 libtasn1-6:i386 libtiff5:i386
libusb-1.0-0:i386 libvpx3:i386 libwind0-heimdal:i386 libxml2:i386
libxpm4:i386 ocl-icd-libopencl1:i386 wine wine1.6 wine1.6-amd64
wine1.6-i386:i386
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden NEUEN Pakete werden installiert:
playonlinux
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 4 nicht aktualisiert.
Es müssen noch 0 B von 2.317 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 7.125 kB Plattenplatz zusätzlich benutzt.
Vormals nicht ausgewähltes Paket playonlinux wird gewählt.
(Lese Datenbank ... 254466 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../playonlinux_4.2.10-a~xenial~Noobslab.com_all.deb ...
Entpacken von playonlinux (4.2.10-a~xenial~Noobslab.com) ...
Trigger für gconf2 (3.2.6-3ubuntu6) werden verarbeitet ...
Trigger für bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) werden verarbeitet ...
Rebuilding /usr/share/applications/bamf-2.index...
Trigger für gnome-menus (3.13.3-6ubuntu3.1) werden verarbeitet ...
Trigger für desktop-file-utils (0.22+linuxmint1) werden verarbeitet ...
Trigger für mime-support (3.59ubuntu1) werden verarbeitet ...
Trigger für man-db (2.7.5-1) werden verarbeitet ...
playonlinux (4.2.10-a~xenial~Noobslab.com) wird eingerichtet ...
gconf-schemas ist /usr/sbin/gconf-schemas

keep visit on www.NoobsLab.com

wolfgang@wolfgang-P6620 ~ $ apt show playonlinux. –
Package: playonlinux-beta
State: kein reales Paket (virtuell)
N: Paket – kann nicht gefunden werden.
N: Paket – kann nicht gefunden werden.
N: Keine Pakete gefunden

When i look in the software manager (show installed apps), PlayOnLinux is not displayed and when I try to run it in the terminal window,
I still get the same errors:
$ playonlinux
Looking for python... 2.7.14 - Traceback (most recent call last):
File "/usr/share/playonlinux/python/check_python.py", line 1, in <module>
import os, wxversion
ImportError: No module named wxversion
failed tests

Post Reply

Return to “Software & Applications”